Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.config.impl
Class ConfigurationModuleSystemProps

    java.lang.Object
      be.ehealth.technicalconnector.config.impl.ConfigurationModuleSystemProps

All Implemented Interfaces:
  ConfigurationModule

    public class ConfigurationModuleSystemProps

extends Object
implements ConfigurationModule

ConfigurationModule to set some system propertes on startup time. Implementation of `ConfigurationModule`

Field Summary
`static String` | `SYSTEMPROP_ROOTKEY` Rootkey to alter `System`.getProperty(String key, String value);

Constructor Summary
`ConfigurationModuleSystemProps()`

Method Summary
`void` | `init(Configuration config)` Method that initialise the configuration module.
`void` | `unload()` Method that restores the configuration module and reset the system to the initial situation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SYSTEMPROP_ROOTKEY

    public static final String SYSTEMPROP_ROOTKEY

  Rootkey to alter `System`.getProperty(String key, String value);

  See Also:
    Constant Field Values

Constructor Detail

### ConfigurationModuleSystemProps

    public ConfigurationModuleSystemProps()

Method Detail

### init

    public void init(Configuration config)
              throws TechnicalConnectorException

  Description copied from interface: `ConfigurationModule`
  Method that initialise the configuration module.

  Specified by:
    `init` in interface `ConfigurationModule`
  Throws:
    `TechnicalConnectorException`

### unload

    public void unload()
                throws TechnicalConnectorException

  Description copied from interface: `ConfigurationModule`
  Method that restores the configuration module and reset the system to the initial situation.

  Specified by:
    `unload` in interface `ConfigurationModule`
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.